Subject: Re: [SWIPL] Type error vs. silent failure

From: "Richard A. O'Keefe" <[email-masked]>
Date: Mon, 29 Oct 2001 11:10:14 +1300 (NZDT)

Paulo Moura <[email-masked]> wrote:
	Hum? I'm almost certain that length/2 is NOT in the ISO standard.
	
They *COULDN'T* have been that bone-headed!
Could they?

Oh yeah, on past performance I guess they could.
It _was_ in a draft, and I explained in detail and in public (in 1985)
why a "minimal" standard was a Bad Idea.

I proposed to the ISO Prolog committee that they adopt the C committee's
core guideline:  that C really belonged to the people who were _using_ it
and that their code was not to be broken without extremely good cause.
That suggestion was promptly, utterly, and vehemently rejected.

Why do we pay any attention at all to the ISO Prolog standard?